        !COMPILER-GENERATED INTERFACE MODULE: Thu Nov 13 16:37:32 2014
        MODULE HALLQM__genmod
          INTERFACE 
            SUBROUTINE HALLQM(ZS,Y2,Y4,Y6,Q1,Q2,Q3)
              REAL(KIND=4) :: ZS
              REAL(KIND=4) :: Y2
              REAL(KIND=4) :: Y4
              REAL(KIND=4) :: Y6
              REAL(KIND=4) :: Q1
              REAL(KIND=4) :: Q2
              REAL(KIND=4) :: Q3
            END SUBROUTINE HALLQM
          END INTERFACE 
        END MODULE HALLQM__genmod
